import commonApi from './common-api.js';


// #ifdef H5
// bridgeAPI = {};
// #endif

// #ifdef MP-WEIXIN
import bridgeAPI from './middle/wx.js';
// #endif

// #ifdef MP-ALIPAY
import bridgeAPI from './middle/alipay.js'
// #endif

// #ifdef MP-BAIDU
import bridgeAPI from './middle/baidu.js';
// #endif

// #ifdef MP-TOUTIAO
import bridgeAPI from './middle/tt.js';
// #endif

// #ifdef MP-QQ
import bridgeAPI from './middle/qq.js';
// #endif

// #ifdef MP-KUAISHOU
import bridgeAPI from './middle/ks.js';
// #endif

// 飞书小程序
// #ifdef MP-LARK
import bridgeAPI from './middle/lark.js';
// #endif

// #ifdef MP-JD
import bridgeAPI from './middle/jd.js';
// #endif

// #ifdef APP-PLUS
import bridgeAPI from './middle/app.js';
// #endif



let hn = {};

if (typeof bridgeAPI === 'undefined') {
    console.error('HINA uni-app SDK 不支持当前平台,数据不会发送');
    hn = commonApi;

} else {
    hn = Object.assign(hn, bridgeAPI);

    Object.keys(commonApi).forEach((key) => {
        if (!(key in bridgeAPI)) {
            if (typeof bridgeAPI.instance === 'object' && typeof bridgeAPI.instance[key] === 'function') {
                hn[key] = bridgeAPI.instance[key].bind(bridgeAPI.instance);
            } else {
                hn[key] = commonApi[key].bind(commonApi);
            }
        }
    })
}


export default hn;